{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{

  # Paquets
  environment.systemPackages = with pkgs; [
      bind          # utilisé pour les utilitaires comme dig
      byobu         # permet de se déconnecter d'un terminal sans l'aréter
      dhcp          # client dhcp
      git gitAndTools.gitSVN gitAndTools.tig gti # outil de gestion de version
      gnumake       # pour décrire les recettes de compilation
      gnupg         # GPG
      gpm           # prise en charge de la souris en console
      htop          # monitoring
      lsb-release   # pour les scripts qui utilisent cet outil
      #libressl      # librairie pour faire du TLS et les algorithmes de crypto par OpenBSD
      ncdu          # outil pour voir l'espace utilisé
      par2cmdline   # outil de récupération de fichiers corrompus - .par2
      p7zip         # compression de fichier
      parted        # partitionnement de disque
      pciutils
      pinentry      # pour taper les mots de passe gpg
      psmisc        # fournis les utilitaires comme killall, fuser, pstree
      python        # python -- python -m SimpleHTTPServer 8000
      #python34Packages.glances # monitoring
      pwgen         # générateur de mot de passe
      rtorrent      # TODO outil de téléchargement de torrent & magnet
      tmux          # nécessaire pour byobu
      tree          # affiche une arborescence de fichiers et dossiers
      usbutils
      (import ./vim.nix)
      wget          # client HTTP console
      which         # pour connaitre le chemin d'un exécutable
  ];
}
